classification
Title: Fix errors handling in the parser module
Type: crash Stage: resolved
Components: Extension Modules Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: benjamin.peterson, rhettinger, serhiy.storchaka
Priority: normal Keywords:

Created on 2017-04-14 11:07 by serhiy.storchaka, last changed 2017-04-19 21:50 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1131 merged serhiy.storchaka, 2017-04-14 11:10
PR 1184 merged serhiy.storchaka, 2017-04-19 19:22
PR 1185 merged serhiy.storchaka, 2017-04-19 20:21
PR 1189 merged serhiy.storchaka, 2017-04-19 21:19
Messages (6)
msg291645 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-14 11:07
Proposed patch fixes miscellaneous errors in errors handling in the parser module. This errors can cause leaking references, raising wrong exceptions, and even crashing.
msg291855 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-04-19 00:47
LGTM
msg291890 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-19 18:09
New changeset a79f4c219531c05fc8f670c1e4bbf12c081935d3 by Serhiy Storchaka in branch 'master':
bpo-30070: Fixed leaks and crashes in errors handling in the parser module. (#1131)
https://github.com/python/cpython/commit/a79f4c219531c05fc8f670c1e4bbf12c081935d3
msg291899 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-19 20:22
New changeset 39dedb6e1a18069ce8f5c8e6076e9d9ef9d6d515 by Serhiy Storchaka in branch '3.6':
[3.6] bpo-30070: Fixed leaks and crashes in errors handling in the parser module. (GH-1131). (#1184)
https://github.com/python/cpython/commit/39dedb6e1a18069ce8f5c8e6076e9d9ef9d6d515
msg291903 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-19 20:44
New changeset 952a05e4e2cf082b74a1676a2804f1f43a9b7702 by Serhiy Storchaka in branch '3.5':
[3.5] bpo-30070: Fixed leaks and crashes in errors handling in the parser module. (GH-1131). (#1185)
https://github.com/python/cpython/commit/952a05e4e2cf082b74a1676a2804f1f43a9b7702
msg291910 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-19 21:48
New changeset 2a1bf0633cd0c55662df7875ee2b1654251adf6b by Serhiy Storchaka in branch '2.7':
[2.7] [3.5] bpo-30070: Fixed leaks and crashes in errors handling in the parser module. (GH-1131). (GH-1185) (#1189)
https://github.com/python/cpython/commit/2a1bf0633cd0c55662df7875ee2b1654251adf6b
History
Date User Action Args
2017-04-19 21:50:22serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-04-19 21:48:59serhiy.storchakasetmessages: + msg291910
2017-04-19 21:19:35serhiy.storchakasetpull_requests: + pull_request1317
2017-04-19 20:44:46serhiy.storchakasetmessages: + msg291903
2017-04-19 20:22:21serhiy.storchakasetmessages: + msg291899
2017-04-19 20:21:52serhiy.storchakasetpull_requests: + pull_request1314
2017-04-19 19:22:24serhiy.storchakasetpull_requests: + pull_request1313
2017-04-19 18:09:23serhiy.storchakasetmessages: + msg291890
2017-04-19 00:47:07rhettingersetnosy: + rhettinger
messages: + msg291855
2017-04-16 09:10:49serhiy.storchakasetassignee: serhiy.storchaka
2017-04-14 11:10:27serhiy.storchakasetpull_requests: + pull_request1265
2017-04-14 11:07:11serhiy.storchakacreate